# Class CIM_X509Infrastructure
extends CIM_SignedCredential

CIM_X509Infrastructure describes Internet X509 Public Key Infrastructure (PKI) standard based properties used by certificates and certificate revocation lists. For more information on the Internet X509 PKI refer to the RFC 3280.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Credential
|
+--CIM_SignedCredential
|
+--CIM_X509Infrastructure

## Direct Known Subclasses

CIM_X509Certificate
CIM_X509CRL

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
ClassConstraint | string | /* The constraints below aim to efficiently */ /* represent a singular OctetString. Each of the properties*/ /* is a single encoded string, thus only the first element */ /* needs to be populated. */ inv:self.TBSCertificate->size()<=1
Description | string | CIM_X509Infrastructure describes Internet X509 Public Key Infrastructure (PKI) standard based properties used by certificates and certificate revocation lists. For more information on the Internet X509 PKI refer to the RFC 3280.
UMLPackagePath | string | CIM::User::PublicKey
Version | string | 2.29.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IssuerName | string |
Description | string | Issuer represents the information about the issuer of the CRL. The Issuer property shall contain information as required by section 4.1.2.4 of RFC 3280 and shall be formatted based on RFC 4514. An example of the value of the Subject parameter could be "CN=Marshall T. Rose, O=Dover Beach Consulting, OU=Sales, L=Santa Clara, ST=California, C=US".
DN | boolean | true
MappingStrings | string | RFC3280.IETF|Section 4.1.2.4, RFC3280.IETF|Section 5.1.2.3
Override | string | IssuerName
Version | uint16 |
Description | string | Version of X.509.
MappingStrings | string | RFC3280.IETF|Section 4.1.2.1, RFC3280.IETF|Section 5.1.2.1
ValueMap | string | 0, 2, 3, 4, .., 32768..65535
Values | string | Unknown, v1, v2, v3, DMTF Reserved, Vendor Specified
FingerprintDigestAlgorithms | uint16[] |
ArrayType | string | Indexed
Description | string | The algorithm used for hashing the encoded X509 certificate's or CRL's message digest represented in the corresponding element of the FingerPrint array.
ModelCorrespondence | string | CIM_X509Infrastructure.Fingerprints
ValueMap | string | 2, 3, .., 32768..65535
Values | string | MD5, SHA1, DMTF Reserved, Vendor Specified
Fingerprints | string[] |
ArrayType | string | Indexed
Description | string | Fingerprints property represents the message digests of the encoded X509 certificate or CRL that uniquely identify it and can be used for the integrity verification of the X509 certificate or CRL. Fingerprint is the hash of the encoded X509 certificate or CRL that is based on the algorithm described in the corresponding element of the FingerprintDigestAlgorithms array.
ModelCorrespondence | string | CIM_X509Infrastructure.FingerprintDigestAlgorithms
OctetString | boolean | true
MD5Fingerprint | string[] |
Description | string | Digital signature algorithm that verifies data integrity by creating a 128-bit message digest or fingerprint. The fingerprint is unique to the input data and contains the binary hash of the encoded X509 object such as encoded certificate or CRL.
OctetString | boolean | true
SHA1Fingerprint | string[] |
Description | string | Secure hashing algorithm, a cryptographic message digest algorithm used to verify data integrity by making replication of the fingerprint. The fingerprint is unique to the input data and contains the binary hash of the encoded X509 object such as encoded certificate or CRL.
OctetString | boolean | true
TBSCertificate | string[] |
Description | string | The To Be Signed (TBS) certificate is used as an input data to the signature algorithm when the certificate is signed or verified. Only the first element of the array property shall be populated.
MappingStrings | string | RFC3280.IETF|Section 4.1.2, RFC3280.IETF|Section 5.1.2
OctetString | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
Expires | datetime | CIM_Credential
InstanceID | string | CIM_SignedCredential
Issued | datetime | CIM_Credential
OtherSignatureAlgorithm | string | CIM_SignedCredential
SignatureAlgorithm | uint16 | CIM_SignedCredential
SignatureAlgorithmOID | string | CIM_SignedCredential
Signature | uint8[] | CIM_SignedCredential

## Class Methods